<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'lavalite',

    /*
     * Package.
     */
    'package'   => 'stock',

    /*
     * Modules.
     */
    'modules'   => ['stock'],

    
    'stock'       => [
        'model' => [
            'model'                 => \Lavalite\Stock\Models\Stock::class,
            'table'                 => 'stocks',
            'presenter'             => \Lavalite\Stock\Repositories\Presenter\StockPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['itemname'],
            'translatables'         => [],
            'upload_folder'         => 'stock/stock',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Lavalite',
            'package'   => 'Stock',
            'module'    => 'Stock',
        ],

    ],
];
