<?php

namespace Lavalite\Stock\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StockTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Stock\Models\Stock $stock)
    {
        return [
            'id'                => $stock->getRouteKey(),
            'key'               => [
                'public'    => $stock->getPublicKey(),
                'route'     => $stock->getRouteKey(),
            ], 
            'itemname'          => $stock->itemname,
            'url'               => [
                'public'    => trans_url('stock/'.$stock->getPublicKey()),
                'user'      => guard_url('stock/stock/'.$stock->getRouteKey()),
            ], 
            'status'            => trans('app.'.$stock->status),
            'created_at'        => format_date($stock->created_at),
            'updated_at'        => format_date($stock->updated_at),
        ];
    }
}