<?php

namespace Lavalite\Stock;

use User;

class Stock
{
    /**
     * $stock object.
     */
    protected $stock;

    /**
     * Constructor.
     */
    public function __construct(\Lavalite\Stock\Interfaces\StockRepositoryInterface $stock)
    {
        $this->stock = $stock;
    }

    /**
     * Returns count of stock.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.stock.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->stock->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\StockUserCriteria());
        }

        $stock = $this->stock->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('stock::' . $view, compact('stock'))->render();
    }
}
